<template>
  <div>
    <div>
      <add-card-item
        id="addMatiere"
        :image="'books.svg'"
        :enable="true"
        @click.native="openModal({})"
      />
    </div>
    <div
      class="grid grid-cols-1 sm:grid-cols-2 md:grid-cols-3 xl:grid-cols-4 gap-8 py-5 w-full"
    >
      <div v-for="matiere in matieres" :key="matiere.id">
        <div>
          <mat-comp-sav-card-item
            @click.native="selectMatiere(matiere)"
            :matCompSav="matiere"
            :imageName="'books.svg'"
            @onUpdateClick="openModal(matiere)"
          />
        </div>
      </div>
    </div>
    <modal-matiere
      :updatedMatiere="updatedMatiere"
      :value="modalOpen"
      v-if="modalOpen"
      @closeRequest="modalOpen = false"
    />
  </div>
</template>

<script>
import AddCardItem from "../AddCardItem.vue";
import MatCompSavCardItem from "../MatCompSavCardItem.vue";
import ModalMatiere from "../modals/ModalAddMatiere.vue";
export default {
  components: { MatCompSavCardItem, AddCardItem, ModalMatiere },
  created() {
    this.$emit("titleChanged", this.$attrs.title);
/*     this.$store.dispatch("bindMatieres", this.classe);
    this.$store.dispatch("bindCompetences", this.classe); */
  },
  data() {
    return {
      modalOpen: false,
      updatedMatiere: Object,
    };
  },
  methods: {
    selectMatiere(matiere) {
      this.$router.push({ path: `${matiere.id}/competences`, append: true });
    },
    openModal(updatedMatiere) {
      this.updatedMatiere = updatedMatiere;
      this.modalOpen = true;
    },
  },
  computed: {
    matieres() {
      return this.$store.state.matieres;
    },
    classe() {
      return this.$store.getters.getOneClasse(this.$route.params.classeid);
    },
  },
};
</script>

<style>
</style>